/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\deathring.cs
Lines of code: 35

Description: 

***********************************************************/


//AOA REROLL


using System;
using Server;

namespace Server.Items
{
	public class deathring : GoldRing
	{

		[Constructable]
		public deathring()
		{
			Hue = 1194;
			Name = "Death Ring";
			Attributes.BonusHits = -20;
			Attributes.AttackChance = 15;
			Attributes.WeaponDamage = 25;
			Attributes.SpellDamage = 25;
		}
		


		public deathring( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		public override void OnAfterLoad()
		{
			Misc.ObjectConverter.ConvertItem(this,new ringofthedead());
		}		
		
	}
}